#
# spec file for package four-in-a-row
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           four-in-a-row
Version:        3.22.2
Release:        lp150.1.9
Summary:        Connect Four Game for GNOME
# License notice: Source code is GPL-2.0+, Icon themes are GPL-3.0+
License:        GPL-2.0+ AND GPL-3.0+
Group:          Amusements/Games/Board/Other
Url:            https://wiki.gnome.org/Apps/Four-in-a-row
Source:         http://download.gnome.org/sources/four-in-a-row/3.22/%{name}-%{version}.tar.xz
BuildRequires:  hicolor-icon-theme
BuildRequires:  intltool >= 0.50
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.13.2
BuildRequires:  pkgconfig(libcanberra-gtk3) >= 0.26
BuildRequires:  pkgconfig(librsvg-2.0) >= 2.32.0
Recommends:     %{name}-lang
# gnome-robots used to be called 'gnobots' and was part of gnome-games until 3.7.x
Obsoletes:      gnect < 3.7
Obsoletes:      gnect-lang < 3.7
%glib2_gsettings_schema_requires

%description
The object of Four-in-a-Row is to place four pieces in a vertical,
horizontal, or diagonal row while the opponent tries to block and make
his/her own row of four. Four-in-a-Row can be played against another
human or the computer.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name} %{?no_lang_C}
%suse_update_desktop_file four-in-a-row

%post
%glib2_gsettings_schema_post
%desktop_database_post
%icon_theme_cache_post

%postun
%glib2_gsettings_schema_postun
%desktop_database_postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc COPYING COPYING.faenza-themes NEWS
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%dir %{_datadir}/appdata
%{_datadir}/appdata/four-in-a-row.appdata.xml
%{_datadir}/applications/four-in-a-row.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.%{name}.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man6/%{name}.6%{?ext_man}

%files lang -f %{name}.lang

%changelog
* Sat Sep  9 2017 dimstar@opensuse.org
- Update to version 3.22.2:
  + Updated translations.
* Fri Nov 11 2016 dimstar@opensuse.org
- Update to version 3.22.1:
  + Updated translations.
* Mon Sep 19 2016 zaitor@opensuse.org
- Update to version 3.22.0:
  + Updated translations.
* Mon Aug 22 2016 zaitor@opensuse.org
- Update to version 3.21.90:
  + Simplify style-checker enabling code.
  + Fix style-checker with new libgnome-games-support.
  + Add Language headers to po files.
  + Updated translations.
* Sat May  7 2016 zaitor@opensuse.org
- Update to version 3.20.1:
  + Updated translations.
* Mon Mar 21 2016 dimstar@opensuse.org
- Update to version 3.20.0:
  + Updated translations.
* Mon Feb 29 2016 zaitor@opensuse.org
- Update to version 3.19.91:
  + New hires app icon.
  + Updated translations.
- Fix url to point to https://wiki.gnome.org/Apps/Four-in-a-row.
* Fri Nov  6 2015 zaitor@opensuse.org
- Update to version 3.18.2:
  + Updated translations.
* Sun Oct 11 2015 zaitor@opensuse.org
- Update to version 3.18.1:
  + Updated translations.
* Tue Sep 22 2015 dimstar@opensuse.org
- Update to version 3.18.0:
  + Updated translations.
* Mon Sep 14 2015 dimstar@opensuse.org
- Update to version 3.17.92:
  + Fix dragging the window after clicking on the game view.
  + Updated translations.
* Thu Aug 13 2015 zaitor@opensuse.org
- Update to version 3.17.90:
  + Make sure keyboard shortcuts are unique.
* Tue May 12 2015 zaitor@opensuse.org
- Update to version 3.16.2:
  + Add symbolic icon.
- Remove HighContrast %%icon_theme_cache_post(un) calls, as Symbolic
  icons have replaced them.
* Wed Apr 15 2015 dimstar@opensuse.org
- Update to version 3.16.1:
  + Updated translations.
* Mon Mar 23 2015 dimstar@opensuse.org
- Update to version 3.16.0:
  + Updated translations.
* Tue Feb 17 2015 dimstar@opensuse.org
- Update to version 3.15.90:
  + Removed New Game from the app menu.
  + Updated translations.
* Wed Nov 19 2014 zaitor@opensuse.org
- Update to version 3.15.1:
  + Code cleanups.
  + Updated translations.
* Wed Nov 12 2014 zaitor@opensuse.org
- Update to version 3.14.2:
  + Updated translations.
* Fri Oct 10 2014 dimstar@opensuse.org
- Update to version 3.14.1:
  + Start new piece in the middle, instead of the last column.
  + Fix regression that allowed multiple windows with nonsense
    behavior.
  + Updated translations.
* Mon Sep 22 2014 dimstar@opensuse.org
- Update to version 3.14.0:
  + Updated appdata.
  + Updated translations.
* Tue Sep 16 2014 zaitor@opensuse.org
- Update to version 3.13.92:
  + Update desktop icon so that it displays a real game position.
  + Fix high contrast pieces sometimes appearing "stacked".
  + Fix width of text buttons.
  + Fix sensitivity of hint button.
  + Fix internationalization of piece types.
  + Remove binary data file used by the old AI.
  + Updated translations.
* Tue Aug 19 2014 dimstar@opensuse.org
- Update to version 3.13.90:
  + Use text buttons.
  + Move undo to header bar.
  + Use header bar in scores dialog.
  + Window layout improvements.
  + Updated translations.
* Mon Jul 21 2014 dimstar@opensuse.org
- Update to version 3.13.4:
  + Add missing function prototypes.
  + Make AI tests less likely to fail.
  + Updated translations.
* Sat Jul 12 2014 dimstar@opensuse.org
- Update to version 3.13.3:
  + New AI that should be much easier to beat.
  + Improve internationalization of status messages.
  + Use a header bar on the preferences dialog.
  + Updated translations.
* Wed Jul  2 2014 zaitor@opensuse.org
- Update to version 3.12.3:
  + Fix opponent in preferences dialog.
  + Updated translations.
* Sat May 17 2014 zaitor@opensuse.org
- Update to version 3.12.2:
  + Update translations.
* Mon Apr 14 2014 zaitor@opensuse.org
- Update to version 3.12.1:
  + Fix GTK+ build requirement.
  + Update translations.
* Mon Mar 24 2014 zaitor@opensuse.org
- Update to version 3.12.0:
  + Updated translations.
* Mon Mar 17 2014 dimstar@opensuse.org
- Update to version 3.11.92:
  + Disable Hint after Undo to start if the computer moves first.
  + Distribute new file COPYING.faenza-themes.
  + Help: scores page should not mention theme-specific colors.
  + Updated translations.
- Update License tag to GPL-2.0+ and GPL-3.0+ (GPL-2.0+ for the
  source/program code, GPL-3.0+ for the themes).
* Tue Feb 18 2014 zaitor@opensuse.org
- Update to version 3.11.90:
  + New themes.
  + All old themes, except for the high contrast themes, have been
    removed.
  + Removed the menu bar and status bar.
  + Added a header bar.
  + Undo, Hint, and New Game buttons added into the window.
  + Use an application menu.
  + The game now properly displays the winner in two-player games.
  + Fullscreen mode has been removed, since it doesn't look very
    good.
  + It is no longer possible to request a hint twice in a row.
  + It is no longer possible to start a computer vs. computer game.
  + It is no longer possible to disable animations.
  + Added tooltips to all buttons.
  + Updated translations.
- .desktop file got renamed to four-in-a-row from gnect.
* Mon Dec 16 2013 dimstar@opensuse.org
- Update to version 3.11.3:
  + Update AppData.
  + build: make *-validate optional.
- Changes from version 3.11.1:
  + Require intltool 0.50.
  + Remove BugBuddy support.
  + Update AppData.
  + Updated translations.
* Sun Oct 13 2013 dimstar@opensuse.org
- Update to version 3.10.1:
  + Updated translations.
* Mon Sep 23 2013 dimstar@opensuse.org
- Update to version 3.10.0:
  + Updated translations.
* Mon Sep 16 2013 dimstar@opensuse.org
- Update to version 3.9.92:
  + Add appdata file.
* Tue Aug 20 2013 dimstar@opensuse.org
- Update to version 3.9.90:
  + Rewritten user help in Mallard.
  + Program name displays properly in GNOME Shell when not launched
    by the shell.
  + Updated translations.
* Mon Apr 15 2013 dimstar@opensuse.org
- Update to version 3.8.1:
  + Updated trranslations.
* Mon Apr  8 2013 dimstar@opensuse.org
- Also obsolete -lang package.
* Wed Mar 27 2013 dimstar@opensuse.org
- Update to version 3.8.0:
  + Updated translations.
* Tue Mar 19 2013 dimstar@opensuse.org
- Update to version 3.7.92:
  + Added high contrast icons.
  + Renamed destktop file back to gnect.desktop.
  + Updated translations.
* Tue Mar  5 2013 dimstar@opensuse.org
- Initial package, version 3.7.90: split-off from gnome-games.
